Subject: Re: bug#42688: Running a script with `guix repl` doesn't "see" additional channels using (%package-module-path)

From: Ludovic Courtès <[email-masked]>
Date: Sat, 19 Sep 2020 23:03:07 +0200

Hello,

Leo Prikler <[email-masked]> skribis:

> With that however, I am no longer so sure.  The initial program
> arguments are part of the UI, but at the same time, that would make it
> not UI-free to begin with.  Kinda strengthens the argument, that it
> should be made a fluid/parameter/what have you, that gets initialized
> with program-arguments at some point.

Alright.  I went with something along these lines in commit
1b179d7876f19f04009a2f9e248ac10711f4c660.

I tested that it works as intended with ‘guix pull --url=$PWD’ and
running a script from there that accesses modules of a secondary
channel.

Thank you!

Ludo’.